Bug 13693 - CSS WG HTML5 Last Call Comments
CSS WG HTML5 Last Call Comments
Status: RESOLVED WONTFIX
Product: HTML WG
Classification: Unclassified
Component: LC1 HTML5 spec
unspecified
Other All
: P3 normal
: ---
Assigned To: contributor
HTML WG Bugzilla archive list
http://www.w3.org/mid/0471DEB1-F407-4...
: a11y, needsinfo
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-06 10:46 UTC by HTML WG bugbot
Modified: 2013-01-09 14:31 UTC (History)
10 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description HTML WG bugbot 2011-08-06 10:46:09 UTC
public-html-comments posting from: "Linss, Peter" <peter.linss@hp.com>
http://www.w3.org/mid/0471DEB1-F407-4C00-8A10-BBAF5D29FEE6@hp.com

Following are the official last call comments from the CSS Working Group on the 25 May 2011 Working Draft of HTML5. Several members of the working group have indicated an intention to file additional comments, those should be taken as personal comments and not official statements on behalf of the CSSWG.


Pseudo-selectors
----------------

It is our understanding that the CSSWG defines pseudo-class selectors in its modules, and the HTMLWG defines how elements enter the corresponding states in HTML5. Given that understanding, this section seems to be missing normative references to the appropriate specs, i.e. Selectors 3 / CSS3 UI / Selectors 4.

With regards to '':ltr'' and '':rtl'', these should be updated to '':dir()'' per Selectors 4: see http://www.w3.org/Bugs/Public/show_bug.cgi?id=13346

We've added '':past'' and '':future'' to the Selectors 4 draft for you, btw. Next time please ask us if you need a selector defined. We might not get to it right away, but at least we will be aware that we need to draft a spec for it.


WebVTT rendering, ::cue, and coordination
-----------------------------------------

While we acknowledge the utility of the proposed extensions to CSS, we feel that it is inappropriate for the HTMLWG to be defining extensions to CSS. We accept that the HTML5 spec contains a note that section 10.3.2 is intended to be moved into a CSS module, however this isn't likely to happen without communication and coordination between the HTMLWG and the CSSWG. In the future, rather than defining CSS extensions in a vacuum, please contact the CSSWG with your requirements and allow us to work together to define appropriate solutions and coordinate them with other work of the CSSWG.


References to CSS Modules
-------------------------

A number of the references to CSS Modules are either incorrect or inappropriate. Namely:

The link to CSS2.1 [CSS] should be http://www.w3.org/TR/CSS21/, not the CSS Snapshot page.
The link to CSS Color Module Level 3 [CSSCOLOR] should be http://www.w3.org/TR/css3-color/, not the development version.

The following references link to Editor's Drafts, not Working Drafts: CSS Style Attributes [CSSATTR], CSS Object Model [CSSOM], CSSOM View Module [CSSOMVIEW], CSS Ruby Module [CSSRUBY], CSS Basic User Interface Module Level 3 [CSSUI], CSS3 Values and Units [CSSVALUES].

In the CSSWG, while Editor's Drafts are public, they are published at the sole discretion of the document's editor and have not necessarily been reviewed or approved by the CSSWG. Therefore they do not serve as official statements on the state of the work being done by the CSSWG and should not serve as normative references. Please link only to Working Drafts, Candidate Recommendations, Proposed Recommendations, or Recomenndations. 

If the HTMLWG needs to reference work more recent than that published in the last official CSSWG publications, please contact the CSSWG and we will expedite review of the latest Editor's Drafts and update our Working Drafts as appropriate.


Automatic height for transcluded elements
-----------------------------------------

Section 4.8.2 describing the 'seamless' attribute attempts to specify the sizing of seamless iframes, but it does so in an incomplete and somewhat incorrect manner.

This section should instead delegate to CSS, where we should define how this sort of sizing works.


Chapter 10 more clearly marked as informative
---------------------------------------------

Chapter 10 says that it is not normative, but it says it in a rather roundabout way. It would probably avoid confusion if it actually had the literal words "informative" or "not normative" at the top.
Comment 1 Anne 2011-08-16 09:01:53 UTC
Can this be split up by someone into one bug report per issue?
Comment 2 Michael Cooper 2011-09-20 15:33:56 UTC
Bug triage sub-team thinks this is an HTML A11Y TF priority. Will need to track descendant bugs if this is split, and assign one on WebVTT to the media sub-team.
Comment 3 Michael[tm] Smith 2011-11-20 18:13:26 UTC
(In reply to comment #1)
> Can this be split up by someone into one bug report per issue?

Peter?
Comment 4 Ian 'Hixie' Hickson 2011-12-02 21:06:29 UTC
For more detailed responses, please file a single bug per issue. In brief:

> It is our understanding that the CSSWG defines pseudo-class selectors in its
> modules, and the HTMLWG defines how elements enter the corresponding states in
> HTML5. Given that understanding, this section seems to be missing normative
> references to the appropriate specs, i.e. Selectors 3 / CSS3 UI / Selectors 4.

The references are at the top of the section.


> With regards to '':ltr'' and '':rtl'', these should be updated to '':dir()''
> per Selectors 4: see http://www.w3.org/Bugs/Public/show_bug.cgi?id=13346

Done.


> We've added '':past'' and '':future'' to the Selectors 4 draft for you, btw.
> Next time please ask us if you need a selector defined. We might not get to it
> right away, but at least we will be aware that we need to draft a spec for it.

I think :past, :future, and ::cue() are better defined in the spec that needs them, namely the WebVTT spec. (Just like, for example, the regions spec is the right place to define the extensions to Element that it adds.)


> The link to CSS2.1 [CSS] should be http://www.w3.org/TR/CSS21/, not the CSS
> Snapshot page.

It's intended to link to whatever is the most recent normative text for CSS, not CSS2.1 specifically.


> The link to CSS Color Module Level 3 [CSSCOLOR] should be
> http://www.w3.org/TR/css3-color/, not the development version.

Where public development versions exist, they are preferred as they represent more up to date text.


> In the CSSWG, while Editor's Drafts are public, they are published at the sole
> discretion of the document's editor and have not necessarily been reviewed or
> approved by the CSSWG. Therefore they do not serve as official statements on
> the state of the work being done by the CSSWG and should not serve as normative
> references.

They're not intended to be links to anything official, they're intended to be links to the most useful information.


> Section 4.8.2 describing the 'seamless' attribute attempts to specify the
> sizing of seamless iframes, but it does so in an incomplete and somewhat
> incorrect manner.
> 
> This section should instead delegate to CSS, where we should define how this
> sort of sizing works.

Please elaborate on what is insufficient in a separate bug, or provide a URL to which the spec can defer.


> Chapter 10 says that it is not normative, but it says it in a rather roundabout
> way. It would probably avoid confusion if it actually had the literal words
> "informative" or "not normative" at the top.

It is normative, ish. It is not non-normative. (Whether it is informative or not is debatable, but that's a separate issue.)



EDITOR'S RESPONSE: This is an Editor's Response to your comment. If you are satisfied with this response, please change the state of this bug to CLOSED. If you have additional information and would like the editor to reconsider, please reopen this bug. If you would like to escalate the issue to the full HTML Working Group, please add the TrackerRequest keyword to this bug, and suggest title and text for the tracker issue; or you may create a tracker issue yourself, if you are able to do so. For more details, see this document:
   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: Rejected
Change Description: no spec change
Rationale: please file one bug per issue